
// SPDF5420.c for C.M.C.

#define F_CPU 16000000UL // Only for delay calculations

#include<avr\io.h>
#include <inttypes.h>
#include <util/delay.h>
#include <avr/pgmspace.h>


// control line pins
#define	LCD_PWM PD2
#define	LCD_RES	PD3
#define	LCD_RD  PD4
#define	LCD_WR  PD5
#define	LCD_CS	PD6
#define	LCD_RS  PD7

// macros for control lines

#define CLR_CS PORTD &= ~(1<<LCD_CS);
#define SET_CS PORTD |=  (1<<LCD_CS);

#define CLR_RESET PORTD &= ~(1<<LCD_RES);
#define SET_RESET PORTD |=  (1<<LCD_RES);

#define CLR_WR PORTD &= ~(1 << LCD_WR);
#define SET_WR PORTD |=  (1 << LCD_WR);
#define CLR_RD PORTD &= ~(1 << LCD_RD);
#define SET_RD PORTD |=  (1 << LCD_RD);

#define CLR_RS PORTD &= ~(1 << LCD_RS);
#define SET_RS PORTD |=  (1 << LCD_RS);


// color definitions
#define	BLACK	  0x0000
#define	BLUE	  0x001F
#define	RED 	  0xF800
#define	GREEN   0x07E0
#define CYAN	  0x07FF
#define MAGENTA 0xF81F
#define YELLOW  0xFFE0
#define WHITE	  0xFFFF


/*************************************************/
//void delay(unsigned int t)
//{
//	unsigned char t1;
//	while(t--)
//	for(t1=11;t1>0;t1--)
//	{asm("nop");}
//}


/*************************************************/
int main()
{




//	_delay_ms(5);  //  5ms 



//	_delay_us(104); //  104us

	while(1);
}
/*************************************************/
